Summary:	Chinese (Big5) TTF fonts
Name:		fonts-ttf-big5
Version:	1.0
Release:	20mdk
Icon:		fonts-ttf-big5-logo.xpm

Source0:	ftp://linux.tmtc.edu.tw/pub/arphic/fonts-ttf-chinese.tar.bz2
Source1:	cidinst.gb2312
Source2:	cidunin.gb2312
Source3:	cidinst.big5
Source4:	cidunin.big5

License:	GPL-like (see %_docdir/%name/arphicpl.txt)
Group:		System/Fonts/True type
BuildRequires:	freetype-tools
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
Prereq:		%_sbindir/chkfontpath, %_bindir/killall

%description
Chinese (Big5 encoded) TTF Fonts donated by Arphic company.


%package -n fonts-ttf-gb2312
Summary:	Chinese (GB2312) TTF fonts
License:	GPL-like (see %_docdir/%name/arphicpl.txt)
Icon:		fonts-ttf-gb2312-logo.xpm
Group:		System/Fonts/True type

%description -n fonts-ttf-gb2312
Chinese (GuoBiao 2312 encoded) TTF Fonts donated by Arphic company.


%prep

%setup -q -n fonts-ttf-chinese
 
%build
mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/ttf/big5/
install -d %buildroot/%_datadir/fonts/ttf/gb2312/
install -m 0644 b*.ttf %buildroot/%_datadir/fonts/ttf/big5/
install -m 0755 %SOURCE3 %buildroot/%_datadir/fonts/ttf/big5/cidinst
install -m 0755 %SOURCE4 %buildroot/%_datadir/fonts/ttf/big5/cidunin
install -m 0644 g*.ttf %buildroot/%_datadir/fonts/ttf/gb2312/
install -m 0755 %SOURCE1 %buildroot/%_datadir/fonts/ttf/gb2312/cidinst
install -m 0755 %SOURCE2 %buildroot/%_datadir/fonts/ttf/gb2312/cidunin
# Link to make Mozilla/GhostScript printing taiwanese web pages
install -d %buildroot/%_datadir/fonts/zh_TW
ln -s /usr/share/fonts/ttf/big5 %buildroot/%_datadir/fonts/zh_TW/TrueType

(
cd %buildroot%_datadir/fonts/ttf/big5/ 
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

(
cd %buildroot/%_datadir/fonts/ttf/gb2312/
%_sbindir/ttmkfdir -u > fonts.scale
cp fonts.scale fonts.dir
%_bindir/fc-cache . || touch fonts.cache-1
)

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/big5
   %_datadir/fonts/ttf/big5/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%post -n fonts-ttf-gb2312
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/ttf/gb2312
   %_datadir/fonts/ttf/gb2312/cidinst
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your TTF enabled font server"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%preun
%_datadir/fonts/ttf/big5/cidunin

%preun -n fonts-ttf-gb2312
%_datadir/fonts/ttf/gb2312/cidunin

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/big5
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%postun -n fonts-ttf-gb2312
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && %_sbindir/chkfontpath -q -r %_datadir/fonts/ttf/gb2312
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc big5-doc/* 
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/big5/
%_datadir/fonts/ttf/big5/*.ttf
%_datadir/fonts/zh_TW
#
%attr(0755,root,root) %_datadir/fonts/ttf/big5/cid*
#
%config(noreplace) %_datadir/fonts/ttf/big5/fonts.dir
%config(noreplace) %_datadir/fonts/ttf/big5/fonts.scale
%config(noreplace) %_datadir/fonts/ttf/big5/fonts.cache-1

%files -n fonts-ttf-gb2312
%defattr(0644,root,root,0755)
%doc gb2312-doc/*
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/gb2312/
%_datadir/fonts/ttf/gb2312/*.ttf
#
%attr(0755,root,root) %_datadir/fonts/ttf/gb2312/cid*
#
%config %_datadir/fonts/ttf/gb2312/fonts.dir
%config %_datadir/fonts/ttf/gb2312/fonts.scale
%config %_datadir/fonts/ttf/gb2312/fonts.cache-1


%changelog
* Fri Mar 14 2003 Till Kamppeter <till@mandrakesoft.com> 1.0-20mdk
- Added link so that fonts are also visible in 
  /usr/share/fonts/zh_TW/TrueType/, so that Mozilla can print taiwanese
  pages.

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-19mdk
- added *-iso10646-1 lines to use in utf-8 locales

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-18mdk
- proper use of fc-cache

* Mon Dec 23 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-17mdk
- changed cache files to Xft2 format
- added a ghostscript alias name (used by galeon printing)

* Thu Dec 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-16mdk
- Correct the typo in Alex's script.

* Wed Dec 05 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-15mdk
- Corrected wrong encodings.dir link
- Add new CID Fontname for Mozilla printing

* Mon Nov 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0-14mdk
- Own /usr/share/fonts/ & Co
- Clean spec

* Mon Oct 22 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-13mdk
- Corrected PS fontname for big5. 
  (MOESung-Light -> MOESung-Regular)

* Thu Jul 26 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 1.0-12mdk
- make the ttf fonts cooperate with gs-cjk.

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0-11mdk
- BuildRequires:	freetype-tools
- Copyright --> License

* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-10mdk
- added XftCache support
- removed hacked fonts.dir (now it is ttmkfdir role to create them correctly)

* Thu Apr 05 2001 Xming <dxiaoming@mandrakesoft.com> 1.0-9mdk
- Add support for GBK in /usr/share/fonts/ttf/gb2312/font.dir

* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-8mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-7mdk
- adapted for the xfs in XFree86 4

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0-6mdk
- modified location license file --> usr/doc --> usr/share/doc
- macroszifications
- BM
- Geoff <snailtalk@linux-mandrake.com> use tmppath macro

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 1.0-5mdk
- mandrake release

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-4mdk
- fixed wrong group for -gb2312 and typo True Type -> True type

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- made %%post/%%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete
* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-2mdk
- add a dependency on chkfontpath.

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first Mandrake version

